# coding: utf-8

"""

    # Authentication  <!-- ReDoc-Inject: <security-definitions> -->  # noqa: E501

    OpenAPI spec version: 0.0.0
    
    Generated by: https://github.com/swagger-api/swagger-codegen.git
"""

import pprint
import re  # noqa: F401

import six

class ContactJsonldClub(object):
    """NOTE: This class is auto generated by the swagger code generator program.

    Do not edit the class manually.
    """
    """
    Attributes:
      swagger_types (dict): The key is attribute name
                            and the value is attribute type.
      attribute_map (dict): The key is attribute name
                            and the value is json key in definition.
    """
    swagger_types = {
        'context': 'OneOfContactJsonldClubContext',
        'id': 'str',
        'type': 'str',
        'type': 'str',
        'type_label': 'str',
        'value': 'str'
    }

    attribute_map = {
        'context': '@context',
        'id': '@id',
        'type': '@type',
        'type': 'type',
        'type_label': 'type_label',
        'value': 'value'
    }

    def __init__(self, context=None, id=None, type=None, type_label=None, value=None):  # noqa: E501
        """ContactJsonldClub - a model defined in Swagger"""  # noqa: E501
        self._context = None
        self._id = None
        self._type = None
        self._type = None
        self._type_label = None
        self._value = None
        self.discriminator = None
        if context is not None:
            self.context = context
        if id is not None:
            self.id = id
        if type is not None:
            self.type = type
        if type is not None:
            self.type = type
        if type_label is not None:
            self.type_label = type_label
        if value is not None:
            self.value = value

    @property
    def context(self):
        """Gets the context of this ContactJsonldClub.  # noqa: E501


        :return: The context of this ContactJsonldClub.  # noqa: E501
        :rtype: OneOfContactJsonldClubContext
        """
        return self._context

    @context.setter
    def context(self, context):
        """Sets the context of this ContactJsonldClub.


        :param context: The context of this ContactJsonldClub.  # noqa: E501
        :type: OneOfContactJsonldClubContext
        """

        self._context = context

    @property
    def id(self):
        """Gets the id of this ContactJsonldClub.  # noqa: E501


        :return: The id of this ContactJsonldClub.  # noqa: E501
        :rtype: str
        """
        return self._id

    @id.setter
    def id(self, id):
        """Sets the id of this ContactJsonldClub.


        :param id: The id of this ContactJsonldClub.  # noqa: E501
        :type: str
        """

        self._id = id

    @property
    def type(self):
        """Gets the type of this ContactJsonldClub.  # noqa: E501


        :return: The type of this ContactJsonldClub.  # noqa: E501
        :rtype: str
        """
        return self._type

    @type.setter
    def type(self, type):
        """Sets the type of this ContactJsonldClub.


        :param type: The type of this ContactJsonldClub.  # noqa: E501
        :type: str
        """

        self._type = type

    @property
    def type(self):
        """Gets the type of this ContactJsonldClub.  # noqa: E501


        :return: The type of this ContactJsonldClub.  # noqa: E501
        :rtype: str
        """
        return self._type

    @type.setter
    def type(self, type):
        """Sets the type of this ContactJsonldClub.


        :param type: The type of this ContactJsonldClub.  # noqa: E501
        :type: str
        """

        self._type = type

    @property
    def type_label(self):
        """Gets the type_label of this ContactJsonldClub.  # noqa: E501


        :return: The type_label of this ContactJsonldClub.  # noqa: E501
        :rtype: str
        """
        return self._type_label

    @type_label.setter
    def type_label(self, type_label):
        """Sets the type_label of this ContactJsonldClub.


        :param type_label: The type_label of this ContactJsonldClub.  # noqa: E501
        :type: str
        """

        self._type_label = type_label

    @property
    def value(self):
        """Gets the value of this ContactJsonldClub.  # noqa: E501


        :return: The value of this ContactJsonldClub.  # noqa: E501
        :rtype: str
        """
        return self._value

    @value.setter
    def value(self, value):
        """Sets the value of this ContactJsonldClub.


        :param value: The value of this ContactJsonldClub.  # noqa: E501
        :type: str
        """

        self._value = value

    def to_dict(self):
        """Returns the model properties as a dict"""
        result = {}

        for attr, _ in six.iteritems(self.swagger_types):
            value = getattr(self, attr)
            if isinstance(value, list):
                result[attr] = list(map(
                    lambda x: x.to_dict() if hasattr(x, "to_dict") else x,
                    value
                ))
            elif hasattr(value, "to_dict"):
                result[attr] = value.to_dict()
            elif isinstance(value, dict):
                result[attr] = dict(map(
                    lambda item: (item[0], item[1].to_dict())
                    if hasattr(item[1], "to_dict") else item,
                    value.items()
                ))
            else:
                result[attr] = value
        if issubclass(ContactJsonldClub, dict):
            for key, value in self.items():
                result[key] = value

        return result

    def to_str(self):
        """Returns the string representation of the model"""
        return pprint.pformat(self.to_dict())

    def __repr__(self):
        """For `print` and `pprint`"""
        return self.to_str()

    def __eq__(self, other):
        """Returns true if both objects are equal"""
        if not isinstance(other, ContactJsonldClub):
            return False

        return self.__dict__ == other.__dict__

    def __ne__(self, other):
        """Returns true if both objects are not equal"""
        return not self == other
